Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Trình biên tập trực quan, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Biểu mẫu',
 		checkbox		: 'Nút kiểm',
-		radio		: 'Nút chọn',
+		radio			: 'Nút chọn',
 		textField		: 'Trường văn bản',
 		textarea		: 'Vùng văn bản',
 		hiddenField		: 'Trường ẩn',
 		button			: 'Nút',
-		select	: 'Ô chọn',
+		select			: 'Ô chọn',
 		imageButton		: 'Nút hình ảnh',
 		notSet			: '<không thiết lập>',
@@ -89,9 +93,17 @@
 		ok				: 'Đồng ý',
 		cancel			: 'Bỏ qua',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Chung',
 		advancedTab		: 'Mở rộng',
-		validateNumberFailed	: 'Giá trị này không phải là số.',
+		validateNumberFailed : 'Giá trị này không phải là số.',
 		confirmNewPage	: 'Mọi thay đổi không được không được lưu lại của nội dung này sẽ bị mất. Bạn có chắc chắn muốn tải một trang mới?',
 		confirmCancel	: 'Một vài tùy chọn đã bị thay đổi. Bạn có chắc chắn muốn đóng hộp thoại?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Mở rộng',
 		type		: 'Kiểu Liên kết',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Neo trong trang này',
 		toEmail		: 'Thư điện tử',
-		target		: 'Đích',
-		targetNotSet	: '<không thiết lập>',
-		targetFrame	: '<khung>',
-		targetPopup	: '<cửa sổ popup>',
-		targetNew	: 'Cửa sổ mới (_blank)',
-		targetTop	: 'Cửa sổ trên cùng(_top)',
-		targetSelf	: 'Cùng cửa sổ (_self)',
-		targetParent	: 'Cửa sổ cha (_parent)',
+		targetFrame		: '<khung>',
+		targetPopup		: '<cửa sổ popup>',
 		targetFrameName	: 'Tên Khung đích',
 		targetPopupName	: 'Tên Cửa sổ Popup',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Có thể thay đổi kích cỡ',
 		popupStatusBar	: 'Thanh trạng thái',
-		popupLocationBar	: 'Thanh vị trí',
+		popupLocationBar: 'Thanh vị trí',
 		popupToolbar	: 'Thanh công cụ',
 		popupMenuBar	: 'Thanh Menu',
@@ -144,5 +151,4 @@
 		id				: 'Định danh',
 		langDir			: 'Đường dẫn Ngôn ngữ',
-		langDirNotSet	: '<không thiết lập>',
 		langDirLTR		: 'Trái sang Phải (LTR)',
 		langDirRTL		: 'Phải sang Trái (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Cỡ Đường viền',
 		align		: 'Canh lề',
-		alignNotSet	: '<Chưa thiết lập>',
 		alignLeft	: 'Trái',
 		alignCenter	: 'Giữa',
@@ -211,4 +216,5 @@
 		widthPx		: 'điểm (px)',
 		widthPc		: '%',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Cao',
 		cellSpace	: 'Khoảng cách Ô',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Số hàng kết hợp phải là một số nguyên.',
 			invalidColSpan	: 'Số cột kết hợp phải là một số nguyên.',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Hành động',
 		method		: 'Phương thức',
-		encoding	: 'Bảng mã',
-		target		: 'Đích',
-		targetNotSet	: '<không thiết lập>',
-		targetNew	: 'Cửa sổ mới (_blank)',
-		targetTop	: 'Cửa sổ trên cùng(_top)',
-		targetSelf	: 'Cùng cửa sổ (_self)',
-		targetParent	: 'Cửa sổ cha (_parent)'
+		encoding	: 'Bảng mã'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Thuộc tính Nút hình ảnh',
 		menu		: 'Thuộc tính Hình ảnh',
-		infoTab	: 'Thông tin Hình ảnh',
+		infoTab		: 'Thông tin Hình ảnh',
 		btnUpload	: 'Tải lên Máy chủ',
-		url		: 'URL',
-		upload	: 'Tải lên',
-		alt		: 'Chú thích Hình ảnh',
+		upload		: 'Tải lên',
+		alt			: 'Chú thích Hình ảnh',
 		width		: 'Rộng',
-		height	: 'Cao',
+		height		: 'Cao',
 		lockRatio	: 'Giữ nguyên tỷ lệ',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Kích thước gốc',
-		border	: 'Đường viền',
-		hSpace	: 'HSpace',
-		vSpace	: 'VSpace',
+		border		: 'Đường viền',
+		hSpace		: 'HSpace',
+		vSpace		: 'VSpace',
 		align		: 'Vị trí',
 		alignLeft	: 'Trái',
 		alignRight	: 'Phải',
-		preview	: 'Xem trước',
 		alertUrl	: 'Hãy đưa vào URL của hình ảnh',
-		linkTab	: 'Liên kết',
+		linkTab		: 'Liên kết',
 		button2Img	: 'Bạn có muốn chuyển nút bấm bằng hình ảnh được chọn thành hình ảnh?',
 		img2Button	: 'Bạn có muốn chuyển đổi hình ảnh được chọn thành nút bấm bằng hình ảnh?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Thuộc tính Flash',
 		propertiesTab	: 'Thuộc tính',
-		title		: 'Thuộc tính Flash',
-		chkPlay		: 'Tự động chạy',
-		chkLoop		: 'Lặp',
-		chkMenu		: 'Cho phép bật Menu của Flash',
-		chkFull		: 'Cho phép Toàn màn hình',
- 		scale		: 'Tỷ lệ',
+		title			: 'Thuộc tính Flash',
+		chkPlay			: 'Tự động chạy',
+		chkLoop			: 'Lặp',
+		chkMenu			: 'Cho phép bật Menu của Flash',
+		chkFull			: 'Cho phép Toàn màn hình',
+ 		scale			: 'Tỷ lệ',
 		scaleAll		: 'Hiển thị tất cả',
 		scaleNoBorder	: 'Không đường viền',
@@ -411,38 +415,38 @@
 		access			: 'Truy cập Mã',
 		accessAlways	: 'Luôn luôn',
-		accessSameDomain	: 'Cùng tên miền',
-		accessNever	: 'Không bao giờ',
-		align		: 'Vị trí',
-		alignLeft	: 'Trái',
-		alignAbsBottom: 'Dưới tuyệt đối',
-		alignAbsMiddle: 'Giữa tuyệt đối',
+		accessSameDomain: 'Cùng tên miền',
+		accessNever		: 'Không bao giờ',
+		align			: 'Vị trí',
+		alignLeft		: 'Trái',
+		alignAbsBottom	: 'Dưới tuyệt đối',
+		alignAbsMiddle	: 'Giữa tuyệt đối',
 		alignBaseline	: 'Đường cơ sở',
-		alignBottom	: 'Dưới',
-		alignMiddle	: 'Giữa',
-		alignRight	: 'Phải',
+		alignBottom		: 'Dưới',
+		alignMiddle		: 'Giữa',
+		alignRight		: 'Phải',
 		alignTextTop	: 'Phía trên chữ',
-		alignTop	: 'Trên',
-		quality		: 'Chất lượng',
-		qualityBest		 : 'TỐt nhất',
-		qualityHigh		 : 'Cao',
-		qualityAutoHigh	 : 'Cao Tự động',
-		qualityMedium	 : 'Trung bình',
-		qualityAutoLow	 : 'Thấp Tự động',
-		qualityLow		 : 'Thấp',
-		windowModeWindow	 : 'Cửa sổ',
-		windowModeOpaque	 : 'Mờ đục',
-		windowModeTransparent	 : 'Trong suốt',
-		windowMode	: 'Chế độ Cửa sổ',
-		flashvars	: 'Các biến số dành cho Flash',
-		bgcolor	: 'Màu nền',
-		width	: 'Rộng',
-		height	: 'Cao',
-		hSpace	: 'HSpace',
-		vSpace	: 'VSpace',
-		validateSrc : 'Hãy đưa vào Liên kết URL',
-		validateWidth : 'Chiều rộng phải là số nguyên.',
-		validateHeight : 'Chiều cao phải là số nguyên.',
-		validateHSpace : 'HSpace phải là số nguyên.',
-		validateVSpace : 'VSpace phải là số nguyên.'
+		alignTop		: 'Trên',
+		quality			: 'Chất lượng',
+		qualityBest		: 'TỐt nhất',
+		qualityHigh		: 'Cao',
+		qualityAutoHigh	: 'Cao Tự động',
+		qualityMedium	: 'Trung bình',
+		qualityAutoLow	: 'Thấp Tự động',
+		qualityLow		: 'Thấp',
+		windowModeWindow: 'Cửa sổ',
+		windowModeOpaque: 'Mờ đục',
+		windowModeTransparent : 'Trong suốt',
+		windowMode		: 'Chế độ Cửa sổ',
+		flashvars		: 'Các biến số dành cho Flash',
+		bgcolor			: 'Màu nền',
+		width			: 'Rộng',
+		height			: 'Cao',
+		hSpace			: 'HSpace',
+		vSpace			: 'VSpace',
+		validateSrc		: 'Hãy đưa vào Liên kết URL',
+		validateWidth	: 'Chiều rộng phải là số nguyên.',
+		validateHeight	: 'Chiều cao phải là số nguyên.',
+		validateHSpace	: 'HSpace phải là số nguyên.',
+		validateVSpace	: 'VSpace phải là số nguyên.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 thành phần'
 	},
 
-	numberedlist : 'Danh sách có thứ tự',
-	bulletedlist : 'Danh sách không thứ tự',
-	indent : 'Dịch vào trong',
-	outdent : 'Dịch ra ngoài',
+	numberedlist	: 'Danh sách có thứ tự',
+	bulletedlist	: 'Danh sách không thứ tự',
+	indent			: 'Dịch vào trong',
+	outdent			: 'Dịch ra ngoài',
 
 	justify :
 	{
-		left : 'Canh trái',
-		center : 'Canh giữa',
-		right : 'Canh phải',
-		block : 'Canh đều'
+		left	: 'Canh trái',
+		center	: 'Canh giữa',
+		right	: 'Canh phải',
+		block	: 'Canh đều'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Các thiết lập bảo mật của trình duyệt không cho phép trình biên tập tự động thực thi lệnh sao chép. Hãy sử dụng bàn phím cho lệnh này (Ctrl+C).',
 		pasteMsg	: 'Hãy dán nội dung vào trong khung bên dưới, sử dụng tổ hợp phím (<STRONG>Ctrl+V</STRONG>) và nhấn vào nút <STRONG>Đồng ý</STRONG>.',
-		securityMsg	: 'Do thiết lập bảo mật của trình duyệt nên trình biên tập không thể truy cập trực tiếp vào nội dung đã sao chép. Bạn cần phải dán lại nội dung vào cửa sổ này.'
+		securityMsg	: 'Do thiết lập bảo mật của trình duyệt nên trình biên tập không thể truy cập trực tiếp vào nội dung đã sao chép. Bạn cần phải dán lại nội dung vào cửa sổ này.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Văn bản bạn muốn dán có kèm định dạng của Word. Bạn có muốn loại bỏ định dạng Word trước khi dán?',
-		toolbar : 'Dán với định dạng Word',
-		title : 'Dán với định dạng Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'Văn bản bạn muốn dán có kèm định dạng của Word. Bạn có muốn loại bỏ định dạng Word trước khi dán?',
+		toolbar			: 'Dán với định dạng Word',
+		title			: 'Dán với định dạng Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Dán theo định dạng văn bản thuần',
-		title : 'Dán theo định dạng văn bản thuần'
+		button	: 'Dán theo định dạng văn bản thuần',
+		title	: 'Dán theo định dạng văn bản thuần'
 	},
 
 	templates :
 	{
-		button : 'Mẫu dựng sẵn',
-		title : 'Nội dung Mẫu dựng sẵn',
-		insertOption: 'Thay thế nội dung hiện tại',
-		selectPromptMsg: 'Hãy chọn Mẫu dựng sẵn để mở trong trình biên tập<br>(nội dung hiện tại sẽ bị mất):',
-		emptyListMsg : '(Không có Mẫu dựng sẵn nào được định nghĩa)'
+		button			: 'Mẫu dựng sẵn',
+		title			: 'Nội dung Mẫu dựng sẵn',
+		insertOption	: 'Thay thế nội dung hiện tại',
+		selectPromptMsg	: 'Hãy chọn Mẫu dựng sẵn để mở trong trình biên tập<br>(nội dung hiện tại sẽ bị mất):',
+		emptyListMsg	: '(Không có Mẫu dựng sẵn nào được định nghĩa)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Kiểu',
-		voiceLabel : 'Kiểu',
-		panelVoiceLabel : 'Chọn một kiểu',
-		panelTitle1 : 'Kiểu Khối',
-		panelTitle2 : 'Kiểu Trực tiếp',
-		panelTitle3 : 'Kiểu Đối tượng'
+		label		: 'Kiểu',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Kiểu Khối',
+		panelTitle2	: 'Kiểu Trực tiếp',
+		panelTitle3	: 'Kiểu Đối tượng'
 	},
 
 	format :
 	{
-		label : 'Định dạng',
-		voiceLabel : 'Định dạng',
-		panelTitle : 'Định dạng',
-		panelVoiceLabel : 'Chọn định dạng đoạn văn bản',
-
-		tag_p : 'Normal',
-		tag_pre : 'Formatted',
-		tag_address : 'Address',
-		tag_h1 : 'Heading 1',
-		tag_h2 : 'Heading 2',
-		tag_h3 : 'Heading 3',
-		tag_h4 : 'Heading 4',
-		tag_h5 : 'Heading 5',
-		tag_h6 : 'Heading 6',
-		tag_div : 'Normal (DIV)'
+		label		: 'Định dạng',
+		panelTitle	: 'Định dạng',
+
+		tag_p		: 'Normal',
+		tag_pre		: 'Formatted',
+		tag_address	: 'Address',
+		tag_h1		: 'Heading 1',
+		tag_h2		: 'Heading 2',
+		tag_h3		: 'Heading 3',
+		tag_h4		: 'Heading 4',
+		tag_h5		: 'Heading 5',
+		tag_h6		: 'Heading 6',
+		tag_div		: 'Normal (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Phông',
-		voiceLabel : 'Phông',
-		panelTitle : 'Phông',
-		panelVoiceLabel : 'Chọn phông'
+		label		: 'Phông',
+		voiceLabel	: 'Phông',
+		panelTitle	: 'Phông'
 	},
 
 	fontSize :
 	{
-		label : 'Cỡ chữ',
-		voiceLabel : 'Kích cỡ phông',
-		panelTitle : 'Cỡ chữ',
-		panelVoiceLabel : 'Chọn kích cỡ phông'
+		label		: 'Cỡ chữ',
+		voiceLabel	: 'Kích cỡ phông',
+		panelTitle	: 'Cỡ chữ'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Màu chữ',
-		bgColorTitle : 'Màu nền',
-		auto : 'Tự động',
-		more : 'Màu khác...'
+		textColorTitle	: 'Màu chữ',
+		bgColorTitle	: 'Màu nền',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Tự động',
+		more			: 'Màu khác...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Kiểm tra chính tả ngay khi gõ chữ (SCAYT)',
-		enable : 'Bật SCAYT',
-		disable : 'Tắt SCAYT',
-		about : 'Thông tin về SCAYT',
-		toggle : 'Bật tắt SCAYT',
-		options : 'Tùy chọn',
-		langs : 'Ngôn ngữ',
-		moreSuggestions : 'Đề xuất thêm',
-		ignore : 'Bỏ qua',
-		ignoreAll : 'Bỏ qua Tất cả',
-		addWord : 'Thêm Từ',
-		emptyDic : 'Tên của từ điển không được để trống.',
-		optionsTab : 'Tùy chọn',
-		languagesTab : 'Ngôn ngữ',
-		dictionariesTab : 'Từ điển',
-		aboutTab : 'Thông tin'
+		title			: 'Kiểm tra chính tả ngay khi gõ chữ (SCAYT)',
+		enable			: 'Bật SCAYT',
+		disable			: 'Tắt SCAYT',
+		about			: 'Thông tin về SCAYT',
+		toggle			: 'Bật tắt SCAYT',
+		options			: 'Tùy chọn',
+		langs			: 'Ngôn ngữ',
+		moreSuggestions	: 'Đề xuất thêm',
+		ignore			: 'Bỏ qua',
+		ignoreAll		: 'Bỏ qua Tất cả',
+		addWord			: 'Thêm Từ',
+		emptyDic		: 'Tên của từ điển không được để trống.',
+		optionsTab		: 'Tùy chọn',
+		languagesTab	: 'Ngôn ngữ',
+		dictionariesTab	: 'Từ điển',
+		aboutTab		: 'Thông tin'
 	},
 
 	about :
 	{
-		title : 'Thông tin về CKEditor',
-		dlgTitle : 'Thông tin về CKEditor',
-		moreInfo : 'Vui lòng ghé thăm trang web của chúng tôi để có thông tin về giấy phép:',
-		copy : 'Bản quyền &copy; $1. Giữ toàn quyền.'
+		title		: 'Thông tin về CKEditor',
+		dlgTitle	: 'Thông tin về CKEditor',
+		moreInfo	: 'Vui lòng ghé thăm trang web của chúng tôi để có thông tin về giấy phép:',
+		copy		: 'Bản quyền &copy; $1. Giữ toàn quyền.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Neo',
-		flash : 'Hoạt họa Flash',
-		div : 'Ngắt Trang',
-		unknown : 'Đối tượng không rõ ràng'
+		anchor	: 'Neo',
+		flash	: 'Hoạt họa Flash',
+		div		: 'Ngắt Trang',
+		unknown	: 'Đối tượng không rõ ràng'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: '富文本编辑器, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: '表单',
 		checkbox		: '复选框',
-		radio		: '单选按钮',
+		radio			: '单选按钮',
 		textField		: '单行文本',
 		textarea		: '多行文本',
 		hiddenField		: '隐藏域',
 		button			: '按钮',
-		select	: '列表/菜单',
+		select			: '列表/菜单',
 		imageButton		: '图像域',
 		notSet			: '<没有设置>',
@@ -89,9 +93,17 @@
 		ok				: '确定',
 		cancel			: '取消',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: '常规',
 		advancedTab		: '高级',
-		validateNumberFailed	: '需要输入数字格式',
+		validateNumberFailed : '需要输入数字格式',
 		confirmNewPage	: '当前文档内容未保存,是否确认新建文档？',
 		confirmCancel	: '部分选项尚未保存，是否确认关闭对话框？',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: '高级',
 		type		: '超链接类型',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: '页内锚点链接',
 		toEmail		: '电子邮件',
-		target		: '目标',
-		targetNotSet	: '<没有设置>',
-		targetFrame	: '<框架>',
-		targetPopup	: '<弹出窗口>',
-		targetNew	: '新窗口 (_blank)',
-		targetTop	: '整页 (_top)',
-		targetSelf	: '本窗口 (_self)',
-		targetParent	: '父窗口 (_parent)',
+		targetFrame		: '<框架>',
+		targetPopup		: '<弹出窗口>',
 		targetFrameName	: '目标框架名称',
 		targetPopupName	: '弹出窗口名称',
@@ -132,5 +139,5 @@
 		popupResizable	: '可缩放',
 		popupStatusBar	: '状态栏',
-		popupLocationBar	: '地址栏',
+		popupLocationBar: '地址栏',
 		popupToolbar	: '工具栏',
 		popupMenuBar	: '菜单栏',
@@ -144,5 +151,4 @@
 		id				: 'ID',
 		langDir			: '语言方向',
-		langDirNotSet	: '<没有设置>',
 		langDirLTR		: '从左到右 (LTR)',
 		langDirRTL		: '从右到左 (RTL)',
@@ -204,5 +210,4 @@
 		border		: '边框',
 		align		: '对齐',
-		alignNotSet	: '<没有设置>',
 		alignLeft	: '左对齐',
 		alignCenter	: '居中',
@@ -211,4 +216,5 @@
 		widthPx		: '像素',
 		widthPc		: '百分比',
+		widthUnit	: 'width unit', // MISSING
 		height		: '高度',
 		cellSpace	: '间距',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: '行跨度必须为整数格式',
 			invalidColSpan	: '列跨度必须为整数格式',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: '动作',
 		method		: '方法',
-		encoding	: '表单编码',
-		target		: '目标',
-		targetNotSet	: '<没有设置>',
-		targetNew	: '新窗口 (_blank)',
-		targetTop	: '整页 (_top)',
-		targetSelf	: '本窗口 (_self)',
-		targetParent	: '父窗口 (_parent)'
+		encoding	: '表单编码'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: '图像域属性',
 		menu		: '图象属性',
-		infoTab	: '图象',
+		infoTab		: '图象',
 		btnUpload	: '发送到服务器上',
-		url		: '源文件',
-		upload	: '上传',
-		alt		: '替换文本',
+		upload		: '上传',
+		alt			: '替换文本',
 		width		: '宽度',
-		height	: '高度',
+		height		: '高度',
 		lockRatio	: '锁定比例',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: '恢复尺寸',
-		border	: '边框大小',
-		hSpace	: '水平间距',
-		vSpace	: '垂直间距',
+		border		: '边框大小',
+		hSpace		: '水平间距',
+		vSpace		: '垂直间距',
 		align		: '对齐方式',
 		alignLeft	: '左对齐',
 		alignRight	: '右对齐',
-		preview	: '预览',
 		alertUrl	: '请输入图象地址',
-		linkTab	: '链接',
+		linkTab		: '链接',
 		button2Img	: '确定要把当前按钮改变为图像吗?',
 		img2Button	: '确定要把当前图像改变为按钮吗?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash 属性',
 		propertiesTab	: '属性',
-		title		: '标题',
-		chkPlay		: '自动播放',
-		chkLoop		: '循环',
-		chkMenu		: '启用 Flash 菜单',
-		chkFull		: '启用全屏',
- 		scale		: '缩放',
+		title			: '标题',
+		chkPlay			: '自动播放',
+		chkLoop			: '循环',
+		chkMenu			: '启用 Flash 菜单',
+		chkFull			: '启用全屏',
+ 		scale			: '缩放',
 		scaleAll		: '全部显示',
 		scaleNoBorder	: '无边框',
@@ -411,38 +415,38 @@
 		access			: '允许脚本访问',
 		accessAlways	: '总是',
-		accessSameDomain	: '同域',
-		accessNever	: '从不',
-		align		: '对齐方式',
-		alignLeft	: '左对齐',
-		alignAbsBottom: '绝对底边',
-		alignAbsMiddle: '绝对居中',
+		accessSameDomain: '同域',
+		accessNever		: '从不',
+		align			: '对齐方式',
+		alignLeft		: '左对齐',
+		alignAbsBottom	: '绝对底边',
+		alignAbsMiddle	: '绝对居中',
 		alignBaseline	: '基线',
-		alignBottom	: '底边',
-		alignMiddle	: '居中',
-		alignRight	: '右对齐',
+		alignBottom		: '底边',
+		alignMiddle		: '居中',
+		alignRight		: '右对齐',
 		alignTextTop	: '文本上方',
-		alignTop	: '顶端',
-		quality		: '质量',
-		qualityBest		 : '最好',
-		qualityHigh		 : '高',
-		qualityAutoHigh	 : '高（自动）',
-		qualityMedium	 : '中（自动）',
-		qualityAutoLow	 : '低（自动）',
-		qualityLow		 : '低',
-		windowModeWindow	 : '窗体',
-		windowModeOpaque	 : '不透明',
-		windowModeTransparent	 : '透明',
-		windowMode	: '窗体模式',
-		flashvars	: 'Flash变量',
-		bgcolor	: '背景颜色',
-		width	: '宽度',
-		height	: '高度',
-		hSpace	: '水平间距',
-		vSpace	: '垂直间距',
-		validateSrc : '请输入超链接地址',
-		validateWidth : '宽度必须为数字格式',
-		validateHeight : '高度必须为数字格式',
-		validateHSpace : '水平间距必须为数字格式',
-		validateVSpace : '垂直间距必须为数字格式'
+		alignTop		: '顶端',
+		quality			: '质量',
+		qualityBest		: '最好',
+		qualityHigh		: '高',
+		qualityAutoHigh	: '高（自动）',
+		qualityMedium	: '中（自动）',
+		qualityAutoLow	: '低（自动）',
+		qualityLow		: '低',
+		windowModeWindow: '窗体',
+		windowModeOpaque: '不透明',
+		windowModeTransparent : '透明',
+		windowMode		: '窗体模式',
+		flashvars		: 'Flash变量',
+		bgcolor			: '背景颜色',
+		width			: '宽度',
+		height			: '高度',
+		hSpace			: '水平间距',
+		vSpace			: '垂直间距',
+		validateSrc		: '请输入超链接地址',
+		validateWidth	: '宽度必须为数字格式',
+		validateHeight	: '高度必须为数字格式',
+		validateHSpace	: '水平间距必须为数字格式',
+		validateVSpace	: '垂直间距必须为数字格式'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 元素'
 	},
 
-	numberedlist : '编号列表',
-	bulletedlist : '项目列表',
-	indent : '增加缩进量',
-	outdent : '减少缩进量',
+	numberedlist	: '编号列表',
+	bulletedlist	: '项目列表',
+	indent			: '增加缩进量',
+	outdent			: '减少缩进量',
 
 	justify :
 	{
-		left : '左对齐',
-		center : '居中对齐',
-		right : '右对齐',
-		block : '两端对齐'
+		left	: '左对齐',
+		center	: '居中对齐',
+		right	: '右对齐',
+		block	: '两端对齐'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: '您的浏览器安全设置不允许编辑器自动执行复制操作，请使用键盘快捷键(Ctrl+C)来完成',
 		pasteMsg	: '请使用键盘快捷键(<STRONG>Ctrl+V</STRONG>)把内容粘贴到下面的方框里，再按 <STRONG>确定</STRONG>',
-		securityMsg	: '因为你的浏览器的安全设置原因，本编辑器不能直接访问你的剪贴板内容，你需要在本窗口重新粘贴一次'
+		securityMsg	: '因为你的浏览器的安全设置原因，本编辑器不能直接访问你的剪贴板内容，你需要在本窗口重新粘贴一次',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : '您要粘贴的内容好像是来自 MS Word，是否要清除 MS Word 格式后再粘贴？',
-		toolbar : '从 MS Word 粘贴',
-		title : '从 MS Word 粘贴',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: '您要粘贴的内容好像是来自 MS Word，是否要清除 MS Word 格式后再粘贴？',
+		toolbar			: '从 MS Word 粘贴',
+		title			: '从 MS Word 粘贴',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : '粘贴为无格式文本',
-		title : '粘贴为无格式文本'
+		button	: '粘贴为无格式文本',
+		title	: '粘贴为无格式文本'
 	},
 
 	templates :
 	{
-		button : '模板',
-		title : '内容模板',
-		insertOption: '替换当前内容',
-		selectPromptMsg: '请选择编辑器内容模板:',
-		emptyListMsg : '(没有模板)'
+		button			: '模板',
+		title			: '内容模板',
+		insertOption	: '替换当前内容',
+		selectPromptMsg	: '请选择编辑器内容模板:',
+		emptyListMsg	: '(没有模板)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : '样式',
-		voiceLabel : '样式',
-		panelVoiceLabel : '选择样式',
-		panelTitle1 : '块级元素样式',
-		panelTitle2 : '内联元素样式',
-		panelTitle3 : '对象元素样式'
+		label		: '样式',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: '块级元素样式',
+		panelTitle2	: '内联元素样式',
+		panelTitle3	: '对象元素样式'
 	},
 
 	format :
 	{
-		label : '格式',
-		voiceLabel : '格式',
-		panelTitle : '格式',
-		panelVoiceLabel : '选择格式',
-
-		tag_p : '普通',
-		tag_pre : '已编排格式',
-		tag_address : '地址',
-		tag_h1 : '标题 1',
-		tag_h2 : '标题 2',
-		tag_h3 : '标题 3',
-		tag_h4 : '标题 4',
-		tag_h5 : '标题 5',
-		tag_h6 : '标题 6',
-		tag_div : '段落(DIV)'
+		label		: '格式',
+		panelTitle	: '格式',
+
+		tag_p		: '普通',
+		tag_pre		: '已编排格式',
+		tag_address	: '地址',
+		tag_h1		: '标题 1',
+		tag_h2		: '标题 2',
+		tag_h3		: '标题 3',
+		tag_h4		: '标题 4',
+		tag_h5		: '标题 5',
+		tag_h6		: '标题 6',
+		tag_div		: '段落(DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : '字体',
-		voiceLabel : '字体',
-		panelTitle : '字体',
-		panelVoiceLabel : '选择字体'
+		label		: '字体',
+		voiceLabel	: '字体',
+		panelTitle	: '字体'
 	},
 
 	fontSize :
 	{
-		label : '大小',
-		voiceLabel : '文字大小',
-		panelTitle : '大小',
-		panelVoiceLabel : '选择文字大小'
+		label		: '大小',
+		voiceLabel	: '文字大小',
+		panelTitle	: '大小'
 	},
 
 	colorButton :
 	{
-		textColorTitle : '文本颜色',
-		bgColorTitle : '背景颜色',
-		auto : '自动',
-		more : '其它颜色...'
+		textColorTitle	: '文本颜色',
+		bgColorTitle	: '背景颜色',
+		panelTitle		: 'Colors', // MISSING
+		auto			: '自动',
+		more			: '其它颜色...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : '即时拼写检查',
-		enable : '启用即时拼写检查',
-		disable : '禁用即时拼写检查',
-		about : '关于即时拼写检查',
-		toggle : '暂停/启用即时拼写检查',
-		options : '选项',
-		langs : '语言',
-		moreSuggestions : '更多拼写建议',
-		ignore : '忽略',
-		ignoreAll : '全部忽略',
-		addWord : '添加单词',
-		emptyDic : '字典名不应为空.',
-		optionsTab : '选项',
-		languagesTab : '语言',
-		dictionariesTab : '字典',
-		aboutTab : '关于'
+		title			: '即时拼写检查',
+		enable			: '启用即时拼写检查',
+		disable			: '禁用即时拼写检查',
+		about			: '关于即时拼写检查',
+		toggle			: '暂停/启用即时拼写检查',
+		options			: '选项',
+		langs			: '语言',
+		moreSuggestions	: '更多拼写建议',
+		ignore			: '忽略',
+		ignoreAll		: '全部忽略',
+		addWord			: '添加单词',
+		emptyDic		: '字典名不应为空.',
+		optionsTab		: '选项',
+		languagesTab	: '语言',
+		dictionariesTab	: '字典',
+		aboutTab		: '关于'
 	},
 
 	about :
 	{
-		title : '关于CKEditor',
-		dlgTitle : '关于CKEditor',
-		moreInfo : '访问我们的网站以获取更多关于协议的信息',
-		copy : 'Copyright &copy; $1. All rights reserved.'
+		title		: '关于CKEditor',
+		dlgTitle	: '关于CKEditor',
+		moreInfo	: '访问我们的网站以获取更多关于协议的信息',
+		copy		: 'Copyright &copy; $1. All rights reserved.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : '锚点',
-		flash : 'Flash',
-		div : '分页',
-		unknown : '位置对象'
+		anchor	: '锚点',
+		flash	: 'Flash',
+		div		: '分页',
+		unknown	: '位置对象'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
